Package htsjdk.samtools.cram.compression.rans.ransnx16

# Class RANSNx16Decode

java.lang.Object
htsjdk.samtools.cram.compression.rans.RANSDecode
htsjdk.samtools.cram.compression.rans.ransnx16.RANSNx16Decode

public class RANSNx16Decode extends RANSDecode
Decoder for the CRAM 3.1 rANSNx16 codec with 16-bit state renormalization (as opposed to the rAns4x8 codec, which uses 8-bit state renormalization), and order-0 or order-1 context. Also supports bit-packing, run length encoding and striping (see the spec). This codec is also used internally by the read name NameTokenisation codec.

## Constructor Summary

Constructors
Constructor
Description
`RANSNx16Decode()`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`uncompress(ByteBuffer inBuffer)`

### Methods inherited from class htsjdk.samtools.cram.compression.rans.RANSDecode

`getD, getDecodingSymbols, initializeRANSDecoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RANSNx16Decode

public RANSNx16Decode()

## Method Details

### uncompress

public ByteBuffer uncompress(ByteBuffer inBuffer)

Specified by:
  `uncompress` in class `RANSDecode`